Bug 840836 - [abrt] xfce4-session-4.8.3-1.fc17: SmsGetIceConnection: Process /usr/bin/xfce4-session was killed by signal 11 (SIGSEGV)
[abrt] xfce4-session-4.8.3-1.fc17: SmsGetIceConnection: Process /usr/bin/xfce...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xfce4-session (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
abrt_hash:d5c56c8422c15c1a598ed76aad0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-17 06:58 EDT by bugs+redhat
Modified: 2013-08-01 13:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 13:30:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (8.58 KB, text/plain)
2012-07-17 06:58 EDT, bugs+redhat
no flags Details
File: maps (20.49 KB, text/plain)
2012-07-17 06:58 EDT, bugs+redhat
no flags Details
File: dso_list (5.42 KB, text/plain)
2012-07-17 06:58 EDT, bugs+redhat
no flags Details

  None (edit)
Description bugs+redhat 2012-07-17 06:58:22 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        xfce4-session
crash_function: SmsGetIceConnection
executable:     /usr/bin/xfce4-session
kernel:         3.4.4-3.fc17.i686.PAE
pid:            1173
pwd:            /home/devilkin
time:           Tue 17 Jul 2012 12:18:14 PM CEST
uid:            1000
username:       devilkin
xsession_errors: 

backtrace:      Text file, 8786 bytes
dso_list:       Text file, 5549 bytes
maps:           Text file, 20978 bytes

build_ids:
:cbcbfceac0395eee651d812bbef683f58319e0c7
:9aea670864d2a34a222fd110376f7946b702de7c
:2aa0a3c7fd741675fb8369e41ac0a688f804a29b
:0a1a8bf5237a71d763d23520783335c8fe6c31dd
:57d6de5ff5536ed125c804f036da93c46399c6e4
:c37ce5a56ac9116ef3203d075293c839e22aadc9
:7c55804ea5949ed3680cfdabb0a1d0c3b4310219
:4bd9cd3a78fa841a2bcf0df8c7e838b80cccd5f3
:4c23c393ed8b8565bd8e90d5b57a868ba0ccfab3
:a9580794bfc6165a1f9cbef59f20c90d46c59980
:92aaf9e3a33962226af01da69620e9be799859d4
:35b89ab09e065e4da8f417312ca2f1105efc0a01
:de77b9c1ea8f88712017f4d99ad3d86726f54023
:c48bdbb2542d5d7ce5b081f57915ca6164dd70b5
:fad91ac353e3532099b38d4dffada3e91cf97fa3
:ba65c18c65c2a90673347eb22550f94d13015206
:ccd17c03940a8cb54bb2f9c6f6d76626976fccf7
:15beedcb299b506c9c6a09bdfed67a02095644a5
:dfca316b9fbab4f1a60def2d0c38b1357f2b6d82
:75dd838611972f941eddfbc872c11bb0e35fb8c2
:4723ea68ac0f3366ffaefee6b60b82b1aa2ea5e4
:c8c155acc515416efd9d0e407ec2667e30f58083
:9ff154685b04583c95ef0f393e8be81e3c51ca7b
:848a04e2a6ce321422123dd4369d8fff2214d349
:1d6d247cb1c1dc86b34ab960d58c82d7cce35e15
:4766d96e19faf4e874c15cfb89feba118b91c6e6
:1b00ab692df2c1f6c616a4cb3b8ba677ae45d87d
:0192dd2785a5ee3ae8c4e920cb320c702385d4ef
:4917bcde22f3be7892a0289b37cf7dfc987c8474
:bef638b29fdf84e92e8f33383eb8adb175128188
:d0b2ee750bf29544a82c25b03f3fe22086c6c4be
:346c7f8a791cd1b7be07bfff6f849d658d506a17
:e9363a6b468d459c7e4cb0d9757079106b3a882c
:3e8db068ebbfae69654767b42d9b0475c53121e7
:8d3308331c237b31f5e500d73e249edd53676aec
:1f6b3a196ff079614f32eeae9d43fe15b56ed2ab
:f13e5fa699a7129ee3080ddeb31558ef7578cddb
:e8a5bba4534cd21edba0148d888874cf2652e989
:d44eca373263d7abb445ddd5bad3dafbccd8cfed
:05cb859b9499f38d15f51572da3d184acaf488da
:327661a5f401b69a985e63c374da3357fb7bd155
:134b4c40cf364e1b220077702ba9a23268d4ed55
:c7112059d672dfb1b17ed4be88fa89f30b547841
:75901b80d2dac1e6eb7ce9c4b8446d9190d4896a
:e83481ca8fd1dee992fb4262849c2354e0b45e3f
:0a2e34634bb52ade3f92bfb833b0914fd1f8288c
:c9666f5e43b3b03d782acadda76ae3074095c8a4
:0db1085b6f5f26681999bf8762e7374bb8179395
:019e42ad205179335b27f2a79a873fda88ed21a3
:de9d7cbf664acdddd5f97fc560de561108ec67e7
:2db83a4c3dc4ba607b77e73639ac847081193f8c
:426ed3275985c1b597d366b974177fc03cc44c3b
:c25f4a34816c8918d5cce3f8b7a851948c6db023
:58c8cef120f1482880240f8c8a21b090c8668f77
:5b5557b5b0427930b220a00961393e29809c42f0
:6827db64bf037f6de97ac9f37d50f32f343930a4
:1a6724864a20a8124878efd04edfc1b05ef3d5c3
:abcfe6b280fcee6f1f127d40d8f54e6b4d896f5a
:fa15395f1487fcd6001dc7d5ede933ae71f89cd3
:7468ba793c595989f2e6a123e4a2af42f38ef0fe
:4a18cece7105bb73a4f2c3ad540803eb237e7543
:acccee84fefeebf82dea74d95ce0369573298fe3
:c231c23d958aa42bb98f000cee5a9a11e090249d
:b23f7b89bf3bebd443fa7cfdfa98b6e00c0f8d33

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/devilkin/2

core_backtrace:
:75901b80d2dac1e6eb7ce9c4b8446d9190d4896a 0x3c14 SmsGetIceConnection libSM.so.6 -
:7c55804ea5949ed3680cfdabb0a1d0c3b4310219 0x13ac2 xfsm_manager_close_connection [exe] -
:7c55804ea5949ed3680cfdabb0a1d0c3b4310219 0xcd47 - [exe] -
:75901b80d2dac1e6eb7ce9c4b8446d9190d4896a 0x5a1e _SmsProcessMessage libSM.so.6 -
:c37ce5a56ac9116ef3203d075293c839e22aadc9 0x10e52 IceProcessMessages libICE.so.6 -
:7c55804ea5949ed3680cfdabb0a1d0c3b4310219 0xa1d4 - [exe] -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x88fff - libglib-2.0.so.0 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x46feb g_main_context_dispatch libglib-2.0.so.0 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x47390 - libglib-2.0.so.0 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x477f3 g_main_loop_run libglib-2.0.so.0 -
:dfca316b9fbab4f1a60def2d0c38b1357f2b6d82 0x14dac0 gtk_main libgtk-x11-2.0.so.0 -
:7c55804ea5949ed3680cfdabb0a1d0c3b4310219 0xf50f - [exe] -
:7c55804ea5949ed3680cfdabb0a1d0c3b4310219 0xf6f8 xfsm_compat_kde_shutdown [exe] -
:7c55804ea5949ed3680cfdabb0a1d0c3b4310219 0xc5d4 xfsm_shutdown [exe] -
:7c55804ea5949ed3680cfdabb0a1d0c3b4310219 0x9b91 main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:SSH_AGENT_PID=1134
:HOSTNAME=macbook
:GPG_AGENT_INFO=/home/devilkin/.gnupg/S.gpg-agent:1164:1
:GLADE_PIXMAP_PATH=:
:XDG_MENU_PREFIX=xfce-
:SHELL=/bin/bash
:HISTSIZE=1000
:QTDIR=/usr/lib/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/devilkin/keyring-KJfIBD
:QTINC=/usr/lib/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=devilkin
:GLADE_MODULE_PATH=:
:SSH_AUTH_SOCK=/tmp/ssh-cUlNGuQr1115/agent.1115
:XDG_CONFIG_DIRS=/etc/xdg
:MAIL=/var/spool/mail/devilkin
:DESKTOP_SESSION=xfce
:PATH=/home/devilkin/bin:/usr/lib/qt-3.3/bin:/home/devilkin/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:~/android/android-sdk-linux_x86/platform-tools
:PWD=/home/devilkin
:LANG=en_US.utf8
:GNOME_KEYRING_PID=1113
:GDM_LANG=en_US.utf8
:GDMSESSION=xfce
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:SHLVL=2
:HOME=/home/devilkin
:XDG_SEAT=seat0
:LOGNAME=devilkin
:QTLIB=/usr/lib/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-HEYiIoYGgJ,guid=8984e8d8412cfdac90188a5f00000022
:XDG_DATA_DIRS=/usr/local/share:/usr/share
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:DISPLAY=:0
:XDG_RUNTIME_DIR=/run/user/devilkin
:GLADE_CATALOG_PATH=:
:LIBGLADE_MODULE_PATH=:
:XAUTHORITY=/var/run/gdm/auth-for-devilkin-fH9pPc/database
:_=/usr/bin/xfce4-session

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 23873                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       23873                23873                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	02
:1:/home/devilkin/.xsession-errors
:pos:	46775190
:flags:	02002
:2:/home/devilkin/.xsession-errors
:pos:	46775190
:flags:	02002
:3:socket:[18100]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[18101]
:pos:	0
:flags:	02004002
:6:socket:[18102]
:pos:	0
:flags:	02000002
:7:socket:[18103]
:pos:	0
:flags:	02000002
:8:socket:[18104]
:pos:	0
:flags:	02000002
:9:socket:[18105]
:pos:	0
:flags:	02000002

var_log_messages:
:Jul 17 12:18:14 macbook kernel: [175766.949530] xfce4-session[1173]: segfault at 4 ip 47cafc14 sp bfc8a8ac error 4 in libSM.so.6.0.1[47cac000+7000]
:Jul 17 12:18:14 macbook abrt[2207]: File '/usr/bin/xfce4-session' seems to be deleted
:Jul 17 12:18:15 macbook abrt[2207]: Saved core dump of pid 1173 (/usr/bin/xfce4-session) to /var/spool/abrt/ccpp-2012-07-17-12:18:14-1173 (3239936 bytes)
Comment 1 bugs+redhat 2012-07-17 06:58:26 EDT
Created attachment 598602 [details]
File: backtrace
Comment 2 bugs+redhat 2012-07-17 06:58:28 EDT
Created attachment 598603 [details]
File: maps
Comment 3 bugs+redhat 2012-07-17 06:58:30 EDT
Created attachment 598604 [details]
File: dso_list
Comment 4 Kevin Fenzi 2012-07-17 10:20:35 EDT
What were you doing when this happened?

Can you duplicate it?
Comment 5 bugs+redhat 2012-07-17 11:06:25 EDT
I don't know what exactly happened - I was working on my laptop, when all of a sudden half my desktop environment went haywire. Both this and the panel crashed.

Sofar I haven't been able to reproduce it. I have my usual set of applications open (browser/mail/text/code editors/...).
Comment 6 Fedora End Of Life 2013-07-04 02:05:35 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-08-01 13:30:13 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.